# create-tag-lib

## Purpose

The `create-tag-lib` command will create a tag library and associated integration test for the given base name.

## Examples

    grails create-tag-lib book

## Description

Creates a tag library for the give base name. For example for a base name `book` a tag library called `BookTagLib` will be created in the `grails-app/taglib` directory.

A tag library is a "view helper" that in MVC terms helps the view with rendering by providing a set of re-usable tags. For more information on tags refer to the section on Tag Libraries in the user guide.

> Note that this command is merely for convenience and you can also create controllers in your favourite text editor or IDE if you choose.

Usage:

    grails create-tag-lib [name]

Fired Events:

- `CreatedFile` - When the tag library has been created